cdfOrderColumnsBy {affxparser} | R Documentation

## Orders the columns of fields according to the values in a certain row of another field in the same CDF group

### Description

Orders the columns of fields according to the values in a certain row of another field in the same CDF group. Note that this method requires that the group fields are matrices.

This `function` is design to be used with `applyCdfGroups`() on an Affymetrix Mapping (SNP) CDF `list` structure.

### Usage

    cdfOrderColumnsBy(groups, field, row=1, ...)

### Arguments

`groups` | A `list` of groups.
`field` | The field whose values in row `row` are used to order the other fields.
`row` | The row of the above field to be used to find the order.
`...` | Optional arguments passed `order`().

### Value

Returns a `list` structure of groups.

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

### See Also

`cdfOrderBy`(). `applyCdfGroups`().

[Package affxparser version 1.6.2 Index]